Skip to content

Delivery Receipt Webhooks

Delivery Receipt webhooks requests are sent to your endpoints when you:

A Delivery Receipt webhook request will be made to your specified endpoint immediately after a message has been marked as delivered, or failed to deliver.

Delivery states

Successful delivery

A message is marked as delivered if we get successfully notified of delivery via our Service providers.

Failed delivery

A message is marked as failed if:

  • We are notified by our service provider that the message was rejected for any reason. This includes:
    • Handset turned off
    • Handset not supporting the requested message channel
    • Carrier marked message content/sender ID as spam
    • User has opted out of business communication
  • We failed to send the message to our service providers

Request

In this example, the URL supplied in the callback parameter is:

https://my-website.com/delivery-receipt

Endpoint

A POST request will be made to your endpoint

POST https://my-website.com/delivery-receipt

Body

json
{
    "destination": "+441111111111",
    "delivered": true,
    "batchuuid": "ea5b64d8-4267-4ffa-937d-2ba0c4f031f3",
    "messageuuid": "6a96a54d-596f-403a-bcd6-6a07fd985f93",
    "receiptInfo": {
        "code": "00",
        "description": "Successful"
    }
}
json
{
    "destination": "+441111111111",
    "delivered": false,
    "batchuuid": "ea5b64d8-4267-4ffa-937d-2ba0c4f031f3",
    "messageuuid": "6a96a54d-596f-403a-bcd6-6a07fd985f93",
    "receiptInfo": {
        "code": "22",
        "description": "No response from the SME (e.g. phone switched off)"
    }
}
KeyExpected valueDescription
destinationstringThe destination this message was being sent to.
deliveredbooleanWhether this message successfully delivered.
batchuuidstringBatch UUID of the message this delivery receipt is for.
messageuuidstringMessage UUID of the message this delivery receipt is for.
receiptInfo.codestringError/Success code associated with this delivery receipt
receiptInfo.descriptionstringDescription of this receipts status

Response

Messaging Plus expects a 200 response to the webhook. If a non-200 response is supplied, it will retry up to 5 times.

Messaging Plus is a Cymba API